org.wildfly.swarm.config.undertow.servlet_container

## Class CrawlerSessionManagementSetting<T extends CrawlerSessionManagementSetting<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.undertow.servlet_container.CrawlerSessionManagementSetting<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class CrawlerSessionManagementSetting<T extends CrawlerSessionManagementSetting<T>>
      extends HashMap

  Configures special session handing for crawler bots
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrawlerSessionManagementSetting()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Integer` | `sessionTimeout()` The session timeout for sessions that are owned by crawlers
    `T` | `sessionTimeout(Integer value)` The session timeout for sessions that are owned by crawlers
    `String` | `userAgents()` Regular expression that is used to match the user agenet of a crawler
    `T` | `userAgents(String value)` Regular expression that is used to match the user agenet of a crawler

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### CrawlerSessionManagementSetting

          public CrawlerSessionManagementSetting()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### sessionTimeout

          public Integer sessionTimeout()

      The session timeout for sessions that are owned by crawlers

    - #### sessionTimeout

          public T sessionTimeout(Integer value)

      The session timeout for sessions that are owned by crawlers

    - #### userAgents

          public String userAgents()

      Regular expression that is used to match the user agenet of a crawler

    - #### userAgents

          public T userAgents(String value)

      Regular expression that is used to match the user agenet of a crawler

Copyright © 2018 JBoss by Red Hat. All rights reserved.